{
  services.gitea = {
    enable = true;
    appName = "Bill's Gitea server, hosted on Linode using NixOS";
    domain = "git.ewanick.com";
    rootUrl = "https://git.ewanick.com/";
    httpPort = 3000;
    settings = {
      service = {
        DISABLE_REGISTRATION = true;
      };

      git = {
        timeout = {
          MIGRATE = 60 * 100; # seconds, 100 minutes
          MIRROR = 60 * 100;
          PULL = 60 * 100;
          GC = 60 * 100;
        };
      };
    };
  };

  services.caddy = {
    enable = true;
    virtualHosts = {
      "git.ewanick.com" = {
        extraConfig = ''
          reverse_proxy localhost:3000
        '';
      };
    };
  };
}
